
angular.module('starter', ['ionic', 'starter.controllers', 'starter.services', 'ngCordova', 'ion-datetime-picker', 'gavruk.card', 'leaflet-directive'])
    .run(function($ionicPlatform) {
        $ionicPlatform.ready(function() {
            // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
            // for form inputs)
            if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
                cordova.plugins.Keyboard.disableScroll(true);

            }
            if (window.StatusBar) {
                // org.apache.cordova.statusbar required
                StatusBar.styleDefault();
            }
        });

        window.apiUrl = 'http://surespot1.cloudapp.net/ws_test/api';
        window.paymentApiUrl = 'http://74.208.73.111:54602/api';
        // window.paymentApiUrl = 'http://surespot1.cloudapp.net/ws_test/api';
    })

    .config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {
        $ionicConfigProvider.tabs.position('bottom');
        $ionicConfigProvider.navBar.alignTitle('center');

        $stateProvider
            // user account
            .state('signin', {
                    url: '/signin',
                    templateUrl: 'templates/signin.html',
                    controller: 'SignInCtrl'
            })

            .state('signup', {
                    url: '/signup',
                    templateUrl: 'templates/signup.html',
                    controller: 'SignUpCtrl'
            })

            .state('forgot-password', {
                    url: '/forgot-password',
                    templateUrl: 'templates/forgot-password.html',
                    controller: 'FgtPwdCtrl'
            })

            // setup an abstract state for the tabs directive
            .state('tab', {
                url: '/tab',
                abstract: true,
                templateUrl: 'templates/tabs.html'
            })

            .state('tab.map', {
                // cache: false,
                url: '/map',
                views: {
                    'tab-map': {
                        templateUrl: 'templates/tab-map.html',
                        controller: 'MapCtrl'
                    }
                }
            })

            .state('tab.search', {
                cache: false,
                url: '/search',
                views: {
                    'tab-search': {
                        templateUrl: 'templates/tab-search.html',
                        controller: 'SearchCtrl'
                    }
                }
            })

            .state('tab.parking-lot', {
                url: '/search/parking-lot',
                views: {
                    'tab-search': {
                        templateUrl: 'templates/tab-parking-lot.html',
                        controller: 'ParkingLotCtrl'
                    }
                },
                params: {parkingLot: null, zone: null},
            })

            // .state('tab.parking-map', {
            //     url: '/search/parking-map',
            //     views: {
            //         'tab-search': {
            //             templateUrl: 'templates/tab-parking-map.html',
            //             controller: 'ParkingMapCtrl'
            //         }
            //     },
            //     params: {parkingLot: null},
            // })

            .state('tab.checkout', {
                url: '/search/parking-lot/checkout',
                views: {
                    'tab-search': {
                        templateUrl: 'templates/tab-checkout.html',
                        controller: 'CheckoutCtrl'
                    }
                },
                params: {parkingLot: null, zone: null, datetimeFrom: null, datetimeTo: null, prepay: null},
            })

            .state('tab.reservations', {
                cache: false,
                url: '/reservations',
                views: {
                    'tab-reservations': {
                        templateUrl: 'templates/tab-reservations.html',
                        controller: 'ReservationsCtrl'
                    }
                }
            })

            .state('tab.events', {
                url: '/events',
                views: {
                    'tab-events': {
                        templateUrl: 'templates/tab-events.html',
                        controller: 'EventsCtrl'
                    }
                }
            })

            .state('tab.more', {
                url: '/more',
                views: {
                    'tab-more': {
                        templateUrl: 'templates/tab-more.html',
                        controller: 'MoreCtrl'
                    }
                }
            })
            
            .state('tab.reminder-settings', {
                url: '/more/reminder-settings',
                views: {
                    'tab-more': {
                        templateUrl: 'templates/tab-reminder-settings.html',
                        controller: 'ReminderSettingsCtrl'
                    }
                }
            })

            .state('tab.new-card', {
                url: '/more/new-card',
                views: {
                    'tab-more': {
                        templateUrl: 'templates/tab-new-card.html',
                        controller: 'CardNewCtrl'
                    }
                }
            })

            // .state('tab.cards', {
            //     url: '/more/cards',
            //     views: {
            //         'tab-more': {
            //             templateUrl: 'templates/tab-cards.html',
            //             controller: 'CardsCtrl'
            //         }
            //     }
            // })

            // .state('tab.add-card', {
            //     url: '/more/add-card',
            //     views: {
            //         'tab-more': {
            //             templateUrl: 'templates/tab-add-card.html',
            //             controller: 'AddCardCtrl'
            //         }
            //     }
            // })

        ;

        // check if alreay signed in
        var _user = localStorage.getItem('user');
        
        if (_user) {
            var user = JSON.parse(_user);
            $urlRouterProvider.otherwise('/tab/map');
        } else {
            $urlRouterProvider.otherwise('/signin');
        }

        // $urlRouterProvider.otherwise('/tab/more');
    });
